# ufs1_dinode Struct Reference

`#include <ufs.h>`

## Data Fields

int32_t | di_atime
int32_t | di_atimensec
int32_t | di_blocks
int32_t | di_ctime
int32_t | di_ctimensec
ufs1_daddr_t | di_db [12]
u_int32_t | di_flags
int32_t | di_gen
u_int32_t | di_gid
ufs1_daddr_t | di_ib [3]
u_int16_t | di_mode
int32_t | di_mtime
int32_t | di_mtimensec
int16_t | di_nlink
u_int64_t | di_size
int32_t | di_spare [2]
union {
u_int16_t oldids [2]
} | di_u
u_int32_t | di_uid

## Detailed Description

Definition at line 150 of file ufs.h.

## Field Documentation

int32_t ufs1_dinode::di_atime

Definition at line 157 of file ufs.h.

int32_t ufs1_dinode::di_atimensec

Definition at line 158 of file ufs.h.

int32_t ufs1_dinode::di_blocks

Definition at line 166 of file ufs.h.

int32_t ufs1_dinode::di_ctime

Definition at line 161 of file ufs.h.

int32_t ufs1_dinode::di_ctimensec

Definition at line 162 of file ufs.h.

ufs1_daddr_t ufs1_dinode::di_db[12]

Definition at line 163 of file ufs.h.

u_int32_t ufs1_dinode::di_flags

Definition at line 165 of file ufs.h.

int32_t ufs1_dinode::di_gen

Definition at line 167 of file ufs.h.

u_int32_t ufs1_dinode::di_gid

Definition at line 169 of file ufs.h.

ufs1_daddr_t ufs1_dinode::di_ib[3]

Definition at line 164 of file ufs.h.

u_int16_t ufs1_dinode::di_mode

Definition at line 151 of file ufs.h.

int32_t ufs1_dinode::di_mtime

Definition at line 159 of file ufs.h.

int32_t ufs1_dinode::di_mtimensec

Definition at line 160 of file ufs.h.

int16_t ufs1_dinode::di_nlink

Definition at line 152 of file ufs.h.

u_int64_t ufs1_dinode::di_size

Definition at line 156 of file ufs.h.

int32_t ufs1_dinode::di_spare[2]

Definition at line 170 of file ufs.h.

union { ... } ufs1_dinode::di_u

u_int32_t ufs1_dinode::di_uid

Definition at line 168 of file ufs.h.

u_int16_t ufs1_dinode::oldids[2]

Definition at line 154 of file ufs.h.

The documentation for this struct was generated from the following file:

- src/sys/include/ufs/ufs.h